WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/January 2025/1 Jan 2025

Scarlets 32–15 Dragons RFC

249 photographs Geraint Nicholas/Huw Evans AgencyGruffydd Thomas/Huw Evans Agency Wednesday
Prints from £8 Order prints
010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets 001
CDF_010125_GN_Scarlets_v_Dragons_001.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets 002
CDF_010125_GN_Scarlets_v_Dragons_002.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets 003
CDF_010125_GN_Scarlets_v_Dragons_003.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets 004
CDF_010125_GN_Scarlets_v_Dragons_004.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets 005
CDF_010125_GN_Scarlets_v_Dragons_005.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - General view inside Parc y Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 006
CDF_010125_GN_Scarlets_v_Dragons_006.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 007
CDF_010125_GN_Scarlets_v_Dragons_007.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 008
CDF_010125_GN_Scarlets_v_Dragons_008.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 009
CDF_010125_GN_Scarlets_v_Dragons_009.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 010
CDF_010125_GN_Scarlets_v_Dragons_010.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 011
CDF_010125_GN_Scarlets_v_Dragons_011.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 012
CDF_010125_GN_Scarlets_v_Dragons_012.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel 013
CDF_010125_GN_Scarlets_v_Dragons_013.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel 014
CDF_010125_GN_Scarlets_v_Dragons_014.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets warming up before game 015
CDF_010125_GN_Scarlets_v_Dragons_015.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game 016
CDF_010125_GN_Scarlets_v_Dragons_016.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC Players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel 017
CDF_010125_GN_Scarlets_v_Dragons_017.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC warming up 018
CDF_010125_GN_Scarlets_v_Dragons_018.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC warming up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC warming up 019
CDF_010125_GN_Scarlets_v_Dragons_019.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC warming up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game 020
CDF_010125_GN_Scarlets_v_Dragons_020.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game 021
CDF_010125_GN_Scarlets_v_Dragons_021.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game 022
CDF_010125_GN_Scarlets_v_Dragons_022.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game 023
CDF_010125_GN_Scarlets_v_Dragons_023.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game 024
CDF_010125_GN_Scarlets_v_Dragons_024.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players warming up before game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons Head Coach Filo Tiatia 025
CDF_010125_GN_Scarlets_v_Dragons_025.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons Head Coach Filo Tiatia
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons Head Coach Filo Tiatia 026
CDF_010125_GN_Scarlets_v_Dragons_026.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons Head Coach Filo Tiatia
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel 027
CDF_010125_GN_Scarlets_v_Dragons_027.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets Head Coach Dwayne Peel
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC with todays mascot 028
CDF_010125_GN_Scarlets_v_Dragons_028.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC with todays mascot
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons during the warm up 029
CDF_010125_GT_Scarlets_v_Dragons_001.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Shane Lewis-Hughes of Dragons' amputated finger 030
CDF_010125_GT_Scarlets_v_Dragons_002.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Shane Lewis-Hughes of Dragons' amputated finger
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons during the warm up 031
CDF_010125_GT_Scarlets_v_Dragons_003.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up 032
CDF_010125_GT_Scarlets_v_Dragons_004.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up 033
CDF_010125_GT_Scarlets_v_Dragons_005.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up 034
CDF_010125_GT_Scarlets_v_Dragons_006.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up 035
CDF_010125_GT_Scarlets_v_Dragons_007.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship -  Angus O'Brien of Dragons RFC with todays mascot 036
CDF_010125_GN_Scarlets_v_Dragons_030.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC with todays mascot
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores a Try 037
CDF_010125_GN_Scarlets_v_Dragons_031.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores a Try 038
CDF_010125_GN_Scarlets_v_Dragons_032.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets celebrates after scoring 039
CDF_010125_GN_Scarlets_v_Dragons_033.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets celebrates after scoring
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores a Try 040
CDF_010125_GN_Scarlets_v_Dragons_034.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores his teams 2nd Try 041
CDF_010125_GN_Scarlets_v_Dragons_035.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores his teams 2nd Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores his teams 2nd Try 042
CDF_010125_GN_Scarlets_v_Dragons_036.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores his teams 2nd Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 043
CDF_010125_GN_Scarlets_v_Dragons_037.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 044
CDF_010125_GN_Scarlets_v_Dragons_038.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets 045
CDF_010125_GN_Scarlets_v_Dragons_039.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarletsis tackled by Aaron Wainwright of Dragons RFC 046
CDF_010125_GN_Scarlets_v_Dragons_040.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarletsis tackled by Aaron Wainwright of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - The crowd watch a scrum 047
CDF_010125_GT_Scarlets_v_Dragons_012.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - The crowd watch a scrum
010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons is tackled by Ellis Mee of Scarlets 048
CDF_010125_GT_Scarlets_v_Dragons_013.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons is tackled by Ellis Mee of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons is tackled by Ellis Mee of Scarlets 049
CDF_010125_GT_Scarlets_v_Dragons_014.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons is tackled by Ellis Mee of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons looks for a gap 050
CDF_010125_GT_Scarlets_v_Dragons_015.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons looks for a gap
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets passes the ball 051
CDF_010125_GT_Scarlets_v_Dragons_016.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets passes the ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets kicks the ball 052
CDF_010125_GT_Scarlets_v_Dragons_017.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets kicks the ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons takes a high ball 053
CDF_010125_GT_Scarlets_v_Dragons_018.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons takes a high ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets celebrates after scoring a try 054
CDF_010125_GT_Scarlets_v_Dragons_019.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets celebrates after scoring a try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 055
CDF_010125_GN_Scarlets_v_Dragons_042.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC and Tom Rogers of Scarlets 056
CDF_010125_GN_Scarlets_v_Dragons_043.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC and Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets 057
CDF_010125_GN_Scarlets_v_Dragons_044.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets 058
CDF_010125_GN_Scarlets_v_Dragons_045.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets 059
CDF_010125_GN_Scarlets_v_Dragons_046.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets 060
CDF_010125_GN_Scarlets_v_Dragons_047.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets Scores a Try 061
CDF_010125_GN_Scarlets_v_Dragons_048.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores his teams 2nd Try 062
CDF_010125_GN_Scarlets_v_Dragons_049.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets Scores his teams 2nd Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets celebrates after scoring 063
CDF_010125_GN_Scarlets_v_Dragons_050.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets celebrates after scoring
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets is tackled by Rhodri Williams of Dragons RFC 064
CDF_010125_GN_Scarlets_v_Dragons_051.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets is tackled by Rhodri Williams of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons takes on Alex Craig of Scarlets 065
CDF_010125_GT_Scarlets_v_Dragons_020.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons takes on Alex Craig of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons 066
CDF_010125_GT_Scarlets_v_Dragons_021.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O’Brien of Dragons kicks a penalty 067
CDF_010125_GT_Scarlets_v_Dragons_022.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O’Brien of Dragons kicks a penalty
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets 068
CDF_010125_GN_Scarlets_v_Dragons_052.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets 069
CDF_010125_GN_Scarlets_v_Dragons_053.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - 070
CDF_010125_GN_Scarlets_v_Dragons_054.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship -
010125 - Scarlets v Dragons RFC - United Rugby Championship - 071
CDF_010125_GN_Scarlets_v_Dragons_055.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship -
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets 072
CDF_010125_GN_Scarlets_v_Dragons_056.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ryan Woodman of Dragons RFC 073
CDF_010125_GN_Scarlets_v_Dragons_057.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ryan Woodman of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 074
CDF_010125_GN_Scarlets_v_Dragons_058.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 075
CDF_010125_GN_Scarlets_v_Dragons_059.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC 076
CDF_010125_GN_Scarlets_v_Dragons_060.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets 077
CDF_010125_GN_Scarlets_v_Dragons_061.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets 078
CDF_010125_GN_Scarlets_v_Dragons_062.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse 079
CDF_010125_GN_Scarlets_v_Dragons_063.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets 080
CDF_010125_GN_Scarlets_v_Dragons_064.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets 081
CDF_010125_GN_Scarlets_v_Dragons_065.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets 082
CDF_010125_GN_Scarlets_v_Dragons_066.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets 083
CDF_010125_GN_Scarlets_v_Dragons_067.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets 084
CDF_010125_GN_Scarlets_v_Dragons_068.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets 085
CDF_010125_GN_Scarlets_v_Dragons_069.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons makes a break 086
CDF_010125_GT_Scarlets_v_Dragons_023.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons is tap-tackled by Gareth Davies of Scarlets 087
CDF_010125_GT_Scarlets_v_Dragons_024.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons is tap-tackled by Gareth Davies of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons makes a break 088
CDF_010125_GT_Scarlets_v_Dragons_025.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons makes a break 089
CDF_010125_GT_Scarlets_v_Dragons_026.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Costelow of Scarlets on the attack 090
CDF_010125_GT_Scarlets_v_Dragons_027.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Costelow of Scarlets on the attack
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Costelow of Scarlets on the attack 091
CDF_010125_GT_Scarlets_v_Dragons_028.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Costelow of Scarlets on the attack
010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons kicks the ball through 092
CDF_010125_GT_Scarlets_v_Dragons_029.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Cai Evans of Dragons kicks the ball through
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O’Brien of Dragons passes the ball 093
CDF_010125_GT_Scarlets_v_Dragons_030.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O’Brien of Dragons passes the ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons passes the ball as Johnny Williams of Scarlets comes in to tackle him 094
CDF_010125_GT_Scarlets_v_Dragons_031.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons passes the ball as Johnny Williams of Scarlets comes in to tackle him
010125 - Scarlets v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons is tackled by Sam Costelow and Ellis Mee of Scarlets 095
CDF_010125_GT_Scarlets_v_Dragons_032.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons is tackled by Sam Costelow and Ellis Mee of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons offloads the ball 096
CDF_010125_GT_Scarlets_v_Dragons_033.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons offloads the ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets 097
CDF_010125_GN_Scarlets_v_Dragons_070.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Tom Rogers of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets 098
CDF_010125_GN_Scarlets_v_Dragons_071.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 099
CDF_010125_GN_Scarlets_v_Dragons_072.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 100
CDF_010125_GN_Scarlets_v_Dragons_073.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 101
CDF_010125_GN_Scarlets_v_Dragons_074.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try 102
CDF_010125_GN_Scarlets_v_Dragons_075.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try 103
CDF_010125_GN_Scarlets_v_Dragons_076.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try 104
CDF_010125_GN_Scarlets_v_Dragons_077.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try 105
CDF_010125_GN_Scarlets_v_Dragons_078.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC Scores a Try
010125 - Scarlets v Dragons RFC - United Rugby Championship - James Benjamin of Dragons RFC 106
CDF_010125_GN_Scarlets_v_Dragons_079.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - James Benjamin of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dan Lydiate of Dragons RFC 107
CDF_010125_GN_Scarlets_v_Dragons_080.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dan Lydiate of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Jarred Rosser of Dragons RFC 108
CDF_010125_GN_Scarlets_v_Dragons_081.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Jarred Rosser of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC 109
CDF_010125_GN_Scarlets_v_Dragons_082.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC 110
CDF_010125_GN_Scarlets_v_Dragons_083.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets on the charge from a lineout ploy 111
CDF_010125_GT_Scarlets_v_Dragons_034.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets on the charge from a lineout ploy
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets on the charge from a lineout ploy 112
CDF_010125_GT_Scarlets_v_Dragons_035.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets on the charge from a lineout ploy
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets on the charge from a lineout ploy 113
CDF_010125_GT_Scarlets_v_Dragons_036.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets on the charge from a lineout ploy
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets is tackled by Brodie Coghlan of Dragons 114
CDF_010125_GT_Scarlets_v_Dragons_037.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets is tackled by Brodie Coghlan of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets is tackled by Brodie Coghlan of Dragons 115
CDF_010125_GT_Scarlets_v_Dragons_038.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets is tackled by Brodie Coghlan of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons wins a lineout 116
CDF_010125_GT_Scarlets_v_Dragons_039.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons wins a lineout
010125 - Scarlets v Dragons RFC - United Rugby Championship - James Benjamin of Dragons RFC 117
CDF_010125_GN_Scarlets_v_Dragons_084.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - James Benjamin of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - 118
CDF_010125_GN_Scarlets_v_Dragons_085.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship -
010125 - Scarlets v Dragons RFC - United Rugby Championship - 119
CDF_010125_GN_Scarlets_v_Dragons_086.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship -
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC 120
CDF_010125_GN_Scarlets_v_Dragons_087.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC 121
CDF_010125_GN_Scarlets_v_Dragons_088.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets at end of game 122
CDF_010125_GN_Scarlets_v_Dragons_089.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets at end of game
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets 123
CDF_010125_GN_Scarlets_v_Dragons_090.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets 124
CDF_010125_GN_Scarlets_v_Dragons_091.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC 125
CDF_010125_GN_Scarlets_v_Dragons_092.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC 126
CDF_010125_GN_Scarlets_v_Dragons_093.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Jarred Rosser of Dragons RFC 127
CDF_010125_GN_Scarlets_v_Dragons_094.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Jarred Rosser of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time 128
CDF_010125_GN_Scarlets_v_Dragons_095.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time 129
CDF_010125_GN_Scarlets_v_Dragons_096.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans 130
CDF_010125_GN_Scarlets_v_Dragons_097.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans 131
CDF_010125_GN_Scarlets_v_Dragons_098.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC players at full time with fans 132
CDF_010125_GN_Scarlets_v_Dragons_099.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC players at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC players at full time with fans 133
CDF_010125_GN_Scarlets_v_Dragons_100.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons RFC players at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans 134
CDF_010125_GN_Scarlets_v_Dragons_101.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans 135
CDF_010125_GN_Scarlets_v_Dragons_102.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans 136
CDF_010125_GN_Scarlets_v_Dragons_103.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans 137
CDF_010125_GN_Scarlets_v_Dragons_104.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC 138
CDF_010125_GN_Scarlets_v_Dragons_105.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 139
CDF_010125_GN_Scarlets_v_Dragons_106.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse 140
CDF_010125_GN_Scarlets_v_Dragons_107.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse
010125 - Scarlets v Dragons RFC - United Rugby Championship - Jarred Rosser of Dragons RFC 141
CDF_010125_GN_Scarlets_v_Dragons_108.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Jarred Rosser of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - 142
CDF_010125_GN_Scarlets_v_Dragons_109.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship -
010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse shows yellow card to Taine Plumtree of Scarlets 143
CDF_010125_GN_Scarlets_v_Dragons_110.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse shows yellow card to Taine Plumtree of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC 144
CDF_010125_GN_Scarlets_v_Dragons_111.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC 145
CDF_010125_GN_Scarlets_v_Dragons_112.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets and Dragons RFC players embrace at full time 146
CDF_010125_GN_Scarlets_v_Dragons_113.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets and Dragons RFC players embrace at full time
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons huddle before the start of the second half 147
CDF_010125_GT_Scarlets_v_Dragons_040.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons huddle before the start of the second half
010125 - Scarlets v Dragons RFC - United Rugby Championship - Shane Lewis-Hughes of Dragons wins a lineout 148
CDF_010125_GT_Scarlets_v_Dragons_041.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Shane Lewis-Hughes of Dragons wins a lineout
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Costelow of Scarlets looks for a gap 149
CDF_010125_GT_Scarlets_v_Dragons_042.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Costelow of Scarlets looks for a gap
010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons kicks the ball 150
CDF_010125_GT_Scarlets_v_Dragons_043.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons kicks the ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons prepares to put the ball into scrum 151
CDF_010125_GT_Scarlets_v_Dragons_044.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons prepares to put the ball into scrum
010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons takes a tap penalty 152
CDF_010125_GT_Scarlets_v_Dragons_045.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons takes a tap penalty
010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons takes a tap penalty 153
CDF_010125_GT_Scarlets_v_Dragons_046.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons takes a tap penalty
010125 - Scarlets v Dragons RFC - United Rugby Championship - Max Douglas of Scarlets wins a lineout 154
CDF_010125_GT_Scarlets_v_Dragons_047.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Max Douglas of Scarlets wins a lineout
010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets passes the ball to Archie Hughes 155
CDF_010125_GT_Scarlets_v_Dragons_048.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets passes the ball to Archie Hughes
010125 - Scarlets v Dragons RFC - United Rugby Championship - Harry Wilson of Dragons passes the ball 156
CDF_010125_GT_Scarlets_v_Dragons_049.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Harry Wilson of Dragons passes the ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons players look dejected at the end of the match 157
CDF_010125_GT_Scarlets_v_Dragons_050.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons players look dejected at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets and Harry Wilson of Dragons shake hands at the end of the match 158
CDF_010125_GT_Scarlets_v_Dragons_051.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets and Harry Wilson of Dragons shake hands at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dan Lydiate of Dragons in a huddle at the end of the match 159
CDF_010125_GT_Scarlets_v_Dragons_052.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dan Lydiate of Dragons in a huddle at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets 160
CDF_010125_GN_Scarlets_v_Dragons_114.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans 161
CDF_010125_GN_Scarlets_v_Dragons_115.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets players celebrate at full time with fans
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ryan Woodman of Dragons RFC 162
CDF_010125_GN_Scarlets_v_Dragons_116.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ryan Woodman of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dan Lydiate of Dragons RFC 163
CDF_010125_GN_Scarlets_v_Dragons_117.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dan Lydiate of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons RFC 164
CDF_010125_GN_Scarlets_v_Dragons_118.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Che Hope of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Will Reed of Dragons RFC 165
CDF_010125_GN_Scarlets_v_Dragons_119.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Will Reed of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets 166
CDF_010125_GN_Scarlets_v_Dragons_120.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets 167
CDF_010125_GN_Scarlets_v_Dragons_121.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets 168
CDF_010125_GN_Scarlets_v_Dragons_122.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets 169
CDF_010125_GN_Scarlets_v_Dragons_123.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Josh Macleod of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets 170
CDF_010125_GN_Scarlets_v_Dragons_124.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC 171
CDF_010125_GN_Scarlets_v_Dragons_125.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets 172
CDF_010125_GN_Scarlets_v_Dragons_126.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets 173
CDF_010125_GN_Scarlets_v_Dragons_127.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets 174
CDF_010125_GN_Scarlets_v_Dragons_128.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - 175
CDF_010125_GN_Scarlets_v_Dragons_129.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship -
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets 176
CDF_010125_GN_Scarlets_v_Dragons_130.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets 177
CDF_010125_GN_Scarlets_v_Dragons_131.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Gareth Davies of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Max Douglas of Scarlets 178
CDF_010125_GN_Scarlets_v_Dragons_132.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Max Douglas of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons RFC 179
CDF_010125_GN_Scarlets_v_Dragons_133.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons RFC 180
CDF_010125_GN_Scarlets_v_Dragons_134.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC 181
CDF_010125_GN_Scarlets_v_Dragons_135.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC 182
CDF_010125_GN_Scarlets_v_Dragons_136.JPG · Geraint Nicholas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Angus O'Brien of Dragons RFC
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is sent to the sin bin by referee Referee Ben Whitehouse 183
CDF_010125_GT_Scarlets_v_Dragons_053.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is sent to the sin bin by referee Referee Ben Whitehouse
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons scores a try 184
CDF_010125_GT_Scarlets_v_Dragons_054.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons scores a try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons celebrates after scoring a try 185
CDF_010125_GT_Scarlets_v_Dragons_055.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Huw Anderson of Dragons celebrates after scoring a try
010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets on the charge 186
CDF_010125_GT_Scarlets_v_Dragons_056.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets on the charge
010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets on the charge 187
CDF_010125_GT_Scarlets_v_Dragons_057.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets on the charge
010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets is tackled by Will Reed of Dragons 188
CDF_010125_GT_Scarlets_v_Dragons_058.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Vaea Fifita of Scarlets is tackled by Will Reed of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons 189
CDF_010125_GT_Scarlets_v_Dragons_059.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets is tackled 190
CDF_010125_GT_Scarlets_v_Dragons_060.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets is tackled
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets kicks the ball through 191
CDF_010125_GT_Scarlets_v_Dragons_061.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets kicks the ball through
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets kicks the ball through 192
CDF_010125_GT_Scarlets_v_Dragons_062.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets kicks the ball through
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree, Henry Thomas and Alec Hepburn of Scarlets run out onto the pitch 193
CDF_010125_GT_Scarlets_v_Dragons_063.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree, Henry Thomas and Alec Hepburn of Scarlets run out onto the pitch
010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi and Marnus van der Merwe of Scarlets run on to the pitch 194
CDF_010125_GT_Scarlets_v_Dragons_064.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Sam Lousi and Marnus van der Merwe of Scarlets run on to the pitch
010125 - Scarlets v Dragons RFC - United Rugby Championship - Alec Hepburn of Scarlets and Ryan Woodman of Dragons at the end of the match 195
CDF_010125_GT_Scarlets_v_Dragons_065.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Alec Hepburn of Scarlets and Ryan Woodman of Dragons at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archer Holz of Scarlets and Dylan Kelleher-Griffiths of Dragons at the end of the match 196
CDF_010125_GT_Scarlets_v_Dragons_066.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archer Holz of Scarlets and Dylan Kelleher-Griffiths of Dragons at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archer Holz of Scarlets and Dylan Kelleher-Griffiths of Dragons at the end of the match 197
CDF_010125_GT_Scarlets_v_Dragons_067.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archer Holz of Scarlets and Dylan Kelleher-Griffiths of Dragons at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons with fans at the end of the match 198
CDF_010125_GT_Scarlets_v_Dragons_068.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons with fans at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ioan Lloyd of Scarlets signs an autograph for a fan at the end of the match 199
CDF_010125_GT_Scarlets_v_Dragons_069.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ioan Lloyd of Scarlets signs an autograph for a fan at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets with fans at the end of the match 200
CDF_010125_GT_Scarlets_v_Dragons_070.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets with fans at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Brodie Coghlan of Dragons during the warm up 201
CDF_010125_GT_Scarlets_v_Dragons_071.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Brodie Coghlan of Dragons during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Brodie Coghlan of Dragons during the warm up 202
CDF_010125_GT_Scarlets_v_Dragons_072.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Brodie Coghlan of Dragons during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Brodie Coghlan of Dragons during the warm up 203
CDF_010125_GT_Scarlets_v_Dragons_073.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Brodie Coghlan of Dragons during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up 204
CDF_010125_GT_Scarlets_v_Dragons_074.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up 205
CDF_010125_GT_Scarlets_v_Dragons_075.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons huddle before the match 206
CDF_010125_GT_Scarlets_v_Dragons_076.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons huddle before the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons huddle before the match 207
CDF_010125_GT_Scarlets_v_Dragons_077.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons huddle before the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel before the match 208
CDF_010125_GT_Scarlets_v_Dragons_078.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel before the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel before the match 209
CDF_010125_GT_Scarlets_v_Dragons_079.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel before the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up 210
CDF_010125_GT_Scarlets_v_Dragons_080.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Dragons interim head coach Filo Tiatia during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up 211
CDF_010125_GT_Scarlets_v_Dragons_081.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up 212
CDF_010125_GT_Scarlets_v_Dragons_082.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up 213
CDF_010125_GT_Scarlets_v_Dragons_083.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up 214
CDF_010125_GT_Scarlets_v_Dragons_084.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up 215
CDF_010125_GT_Scarlets_v_Dragons_085.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Scarlets head coach Dwayne Peel during the warm up
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons takes on Johnny Williams of Scarlets 216
CDF_010125_GT_Scarlets_v_Dragons_086.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aneurin Owen of Dragons takes on Johnny Williams of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse 217
CDF_010125_GT_Scarlets_v_Dragons_087.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Referee Ben Whitehouse
010125 - Scarlets v Dragons RFC - United Rugby Championship - Rodrigo Martinez of Dragons 218
CDF_010125_GT_Scarlets_v_Dragons_088.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Rodrigo Martinez of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons 219
CDF_010125_GT_Scarlets_v_Dragons_089.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Joe Davies of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ryan Woodman of Dragons 220
CDF_010125_GT_Scarlets_v_Dragons_090.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ryan Woodman of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons makes a break 221
CDF_010125_GT_Scarlets_v_Dragons_091.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons leaves the field for medical treatment 222
CDF_010125_GT_Scarlets_v_Dragons_092.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons leaves the field for medical treatment
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons leaves the field for medical treatment 223
CDF_010125_GT_Scarlets_v_Dragons_093.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons leaves the field for medical treatment
010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons 224
CDF_010125_GT_Scarlets_v_Dragons_094.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Aaron Wainwright of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons 225
CDF_010125_GT_Scarlets_v_Dragons_095.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Basham of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Chris Coleman of Dragons 226
CDF_010125_GT_Scarlets_v_Dragons_096.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Chris Coleman of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets 227
CDF_010125_GT_Scarlets_v_Dragons_097.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Henry Thomas of Scarlets 228
CDF_010125_GT_Scarlets_v_Dragons_098.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Henry Thomas of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets is tackled by Nick Thomas of Dragons 229
CDF_010125_GT_Scarlets_v_Dragons_099.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets is tackled by Nick Thomas of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break 230
CDF_010125_GT_Scarlets_v_Dragons_100.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break 231
CDF_010125_GT_Scarlets_v_Dragons_101.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break 232
CDF_010125_GT_Scarlets_v_Dragons_102.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break 233
CDF_010125_GT_Scarlets_v_Dragons_103.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break 234
CDF_010125_GT_Scarlets_v_Dragons_104.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets makes a break
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets takes on Angus O’Brien of Dragons 235
CDF_010125_GT_Scarlets_v_Dragons_105.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets takes on Angus O’Brien of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets takes on Angus O’Brien of Dragons 236
CDF_010125_GT_Scarlets_v_Dragons_106.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Archie Hughes of Scarlets takes on Angus O’Brien of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets passes the ball 237
CDF_010125_GT_Scarlets_v_Dragons_107.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Marnus van der Merwe of Scarlets passes the ball
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets passes the ball as Jared Rosser of Dragons closes in 238
CDF_010125_GT_Scarlets_v_Dragons_108.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets passes the ball as Jared Rosser of Dragons closes in
010125 - Scarlets v Dragons RFC - United Rugby Championship - Eddie James of Scarlets 239
CDF_010125_GT_Scarlets_v_Dragons_109.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Eddie James of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets 240
CDF_010125_GT_Scarlets_v_Dragons_110.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Ellis Mee of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets 241
CDF_010125_GT_Scarlets_v_Dragons_111.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Blair Murray of Scarlets
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is tackled by Ryan Woodman and James Benjamin of Dragons 242
CDF_010125_GT_Scarlets_v_Dragons_112.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is tackled by Ryan Woodman and James Benjamin of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is tackled by Ryan Woodman and James Benjamin of Dragons 243
CDF_010125_GT_Scarlets_v_Dragons_113.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is tackled by Ryan Woodman and James Benjamin of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is tackled by Ryan Woodman and James Benjamin of Dragons 244
CDF_010125_GT_Scarlets_v_Dragons_114.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Taine Plumtree of Scarlets is tackled by Ryan Woodman and James Benjamin of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets tries to go past Shane Lewis-Hughes of Dragons 245
CDF_010125_GT_Scarlets_v_Dragons_115.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets tries to go past Shane Lewis-Hughes of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets tries to go past Shane Lewis-Hughes of Dragons 246
CDF_010125_GT_Scarlets_v_Dragons_116.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets tries to go past Shane Lewis-Hughes of Dragons
010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets is tackled 247
CDF_010125_GT_Scarlets_v_Dragons_117.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Johnny Williams of Scarlets is tackled
010125 - Scarlets v Dragons RFC - United Rugby Championship - Jared Rosser and Rio Dyer of Dragons at the end of the match 248
CDF_010125_GT_Scarlets_v_Dragons_118.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Jared Rosser and Rio Dyer of Dragons at the end of the match
010125 - Scarlets v Dragons RFC - United Rugby Championship - Kemsley Mathias of Scarlets at the end of the match 249
CDF_010125_GT_Scarlets_v_Dragons_119.jpg · Gruffydd Thomas/Huw Evans Agency010125 - Scarlets v Dragons RFC - United Rugby Championship - Kemsley Mathias of Scarlets at the end of the match

More from around this date

Wed 1 JanPortsmouth 4-0 Swansea City Wed 1 JanCardiff City 1-1 Coventry City Wed 1 JanCardiff Rugby 13-13 Ospreys Thu 2 JanNewport County 1-2 AFC Wimbledon Sat 4 JanRGC 41-39 Ebbw Vale Sat 4 JanMiddlesbrough 1-1 Cardiff City Sat 4 JanSwansea City 1-1 West Bromwich Albion Sun 29 DecSwansea City 2-1 Luton Town
Scarlets 32-15 Dragons RFC · 1 Jan 2025
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured